Skip to main content

How to send F&I data

This document is designed to help you understand how to send F&I (Finance & Insurance) data to myKaarma.

To perform these actions, you first need your credentials. If you do not already have them, head over to the Authentication and Authorization page to learn how to request credentials from us. The process for sending an F&I data event is listed below.

Authorization

Parameter NameDescriptionRequired
{{basic_auth_token}}Authorization: Base64-encoded string using the Service Subscriber username and passwordYes

Scope

This process requires the following authorization scopes:

ScopeLevelDescription
dms.events.pushserviceSubscriberAuthorizes the client to send F&I data

Endpoint

curl -X POST "https://api.mykaarma.com/adapter/dms/ingest-event" \
-H "Authorization: {{basic_auth_token}}" \
-H "Content-Type: application/json" \
-d '{
"type": "F&I",
"payload": {
"uuid": "string",
"dealerUuid": "string",
"vehicle": {
"vin": "string",
"vehicleKey": "string",
"vehicleUuid": "string",
"vehicleMake": "string",
"vehicleModel": "string",
"vehicleYear": "string",
"vehicleTrim": "string",
"vehicleEngine": "string",
"color": "string",
"bodyStyle": "string",
"licensePlate": "string",
"estimatedMileage": "string",
"stockNumber": "string",
"msrp": "string"
},
"customer": {
"customerUuid": "string",
"customerKey": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"company": "string",
"isBusiness": boolean,
"preferredLocale": "string",
"assignedSA": "string",
"comments": "string",
"emails": [
{
"emailAddress": "string",
"label": "string",
"isPreferred": boolean,
"okToEmail": boolean
}
],
"phoneNumbers": [
{
"phoneNumber": "string",
"label": "string",
"isPreferred": boolean,
"okToText": boolean,
"okToCall": boolean
}
],
"addresses": [
{
"line1": "string",
"line2": "string",
"city": "string",
"county": "string",
"state": "string",
"zip": "string",
"country": "string"
}
]
},
"coBuyer": {
"customerUuid": "string",
"customerKey": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"company": "string",
"isBusiness": boolean,
"preferredLocale": "string",
"assignedSA": "string",
"comments": "string",
"emails": [
{
"emailAddress": "string",
"label": "string",
"isPreferred": boolean,
"okToEmail": boolean
}
],
"phoneNumbers": [
{
"phoneNumber": "string",
"label": "string",
"isPreferred": boolean,
"okToText": boolean,
"okToCall": boolean
}
],
"addresses": [
{
"line1": "string",
"line2": "string",
"city": "string",
"county": "string",
"state": "string",
"zip": "string",
"country": "string"
}
]
},
"deal": {
"dealNo": "string",
"dealType": "string",
"fiDealType": "string",
"dealSource": "string",
"saleType": "string",
"contractDate": "string",
"accountingDate": "string",
"accountingAccount": "string",
"salesAccount": "string",
"salesDate": "string",
"salesManagementDealType": "string",
"custOrCompanyCode": "string",
"hostItemID": "string",
"waqNumber": "string",
"fiWipStatusCode": "string",
"calcMethod": "string",
"branch": "string",
"leaseType": "string",
"paymentStyle": "string",
"age": "string",
"customerComments": "string",
"dealEvents": [
{
"eventCode": "string",
"eventDate": "string"
}
],
"contactHistory": [
{
"contactDate": "string",
"contactReason": "string"
}
]
},
"pricing": {
"msrp": "string",
"cashPrice": "string",
"costPrice": "string",
"glVehicleCost": "string",
"salePriceWithWeOwes": "string",
"outTheDoorPrice": "string",
"adjustedCostOfVehicle": "string",
"adjustmentsDealerDefined": "string",
"adjustmentsROPO": "string",
"adjustmentsStandard": "string"
},
"profit": {
"grossProfit": "string",
"totalGross": "string",
"totalCommission": "string",
"frontEndGrossProfit": "string",
"frontGross": "string",
"backGross": "string",
"commOnSaleDlr": "string",
"commissionPack": "string",
"optionsCommDlr": "string",
"fiIncome": "string"
},
"financing": {
"financeAmt": "string",
"financeCharge": "string",
"financeSource": "string",
"finInstituteCode": "string",
"apr": "string",
"sellRateAPR": "string",
"sellRateAddOn": "string",
"sellRateLMF": "string",
"buyRateAPR": "string",
"buyRateAddOn": "string",
"buyRateLFM": "string",
"buyRateLMF": "string",
"bankFee": "string",
"term": "string",
"payments": "string",
"paymentAmt": "string",
"paymentCode": "string",
"firstPayDate": "string",
"lastPayDate": "string",
"lastPayAmount": "string",
"totalOfMonthlyPayments": "string",
"cashDown": "string",
"customerCashDown": "string",
"dueOnDelivery": "string",
"depositAmount": "string",
"depositType": "string",
"totalDown": "string",
"balloonAmount": "string",
"balloonRate": "string",
"baseResidual": "string",
"rebateAmount": "string",
"incentiveDealer": "string",
"incentiveProgram": "string",
"surplusCash": "string",
"securityDepositAmount": "string"
},
"lease": {
"leaseEndPercentageRate": "string",
"leaseEndValue": "string",
"leaseMileageAllowance": "string",
"leasePayment": "string",
"cashCapReduction": "string",
"initialCapCost": "string",
"adjustedCapCost": "string",
"addToCapAmount": "string",
"amountDueAtStart": "string",
"totalCapReduction": "string",
"totalCashSurplus": "string"
},
"taxes": {
"totalTax": "string",
"serviceTaxAmount": "string",
"usLuxuryExciseTaxAmount": "string",
"lstGstAmount": "string",
"lstGstRate": "string",
"lstGstRateFlat": "string",
"texasGAPInsuranceAmount": "string",
"texasGAPInsuranceDealerCommissionBase": "string",
"taxLines": [
{
"taxName": "string",
"taxAmount": "string",
"taxBase": "string",
"taxRate": "string"
}
],
"purchaseFlexibleTaxes": [
{
"taxName": "string",
"taxAmount": "string",
"taxBase": "string",
"taxRate": "string",
"taxMax": "string",
"taxMaxCode": "string"
}
]
},
"fees": {
"totalOptionsFees": "string",
"totalFinancedFeeOptions": "string",
"totalTaxableFees": "string",
"totalInitFees": "string",
"totalAnnFees": "string",
"feeOptions": [
{
"feeName": "string",
"feeAmount": "string",
"feeCost": "string",
"feeProfitType": "string",
"dealerComm": "string"
}
],
"initialFees": [
{
"feeName": "string",
"feeAmount": "string",
"feeCostAmount": "string",
"feeProfitType": "string",
"dealerCommissionBase": "string"
}
],
"annualFees": [
{
"feeName": "string",
"feeAmount": "string",
"dealerCommBase": "string"
}
],
"addToCapCostFees": [
{
"feeName": "string",
"feeAmount": "string",
"feeCostAmount": "string",
"feeProfitType": "string",
"dealerCommBase": "string",
"feeFlag": "string"
}
]
},
"weOwes": {
"frontWeOwes": "string",
"backWeOwes": "string",
"frontWeOwesGrossCost": "string",
"frontWeOwesGrossSales": "string",
"weOweCostTotal": "string",
"weOweSaleTotal": "string",
"weOweSaleHardTotal": "string",
"weOweSaleSoftTotal": "string",
"weOweBackSaleTotal": "string",
"weOweFrontGrossSales": "string",
"weOweResidualTotal": "string",
"weOweResidualTableTotal": "string"
},
"insurance": {
"insuranceTypeCode": "string",
"insuranceCommDlr": "string",
"totalInsurancePremiums": "string",
"products": [
{
"insuranceName": "string",
"insuranceDeductible": "string",
"insuranceLimit": "string",
"insuranceLimitMiles": "string",
"insuranceTerm": "string",
"insuranceCost": "string",
"insuranceFee": "string",
"insuranceIncome": "string"
}
],
"mbi": {
"mbiName": "string",
"mbiCarrier": "string",
"mbiCost": "string",
"mbiFee": "string",
"mbiIncome": "string",
"mbiDeductible": "string",
"mbiTerm": "string",
"mbiLimit": "string",
"mbiLimitMax": "string",
"mbiPolicyNo": "string",
"mbiEligFlag": "string",
"mbiEligComment": "string",
"purchaseMBICost": "string",
"purchaseMBISP2CommAmount": "string"
},
"extWarrantyExpMilesLease": "string",
"extWarrantyTermLease": "string",
"warrantyFee": "string",
"ah": {
"ahCost": "string",
"ahIncome": "string",
"ahPremium": "string"
},
"cl": {
"clCost": "string",
"clIncome": "string",
"clPremium": "string"
},
"levelizedLife": {
"amount": "string",
"dealerComm": "string",
"income": "string"
}
},
"trades": [
{
"tradeVin": "string",
"tradeVehicleKey": "string",
"tradeVehicleUuid": "string",
"tradeVehicleMake": "string",
"tradeVehicleModel": "string",
"tradeVehicleYear": "string",
"tradeVehicleTrim": "string",
"tradeVehicleEngine": "string",
"tradeColor": "string",
"tradeBodyStyle": "string",
"tradeLicensePlate": "string",
"tradeEstimatedMileage": "string",
"tradeStockNumber": "string",
"tradeMsrp": "string",
"tradeGross": "string",
"tradeOver": "string",
"tradePayOff": "string",
"netTrade": "string"
}
],
"tradeTotals": {
"totalTradeAllowance": "string",
"totalTradesACV": "string",
"totalTradesNet": "string",
"totalTradesOver": "string",
"totalTradesPayoff": "string"
},
"lienHolder": {
"customerUuid": "string",
"customerKey": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"company": "string",
"isBusiness": boolean,
"preferredLocale": "string",
"assignedSA": "string",
"comments": "string",
"emails": [
{
"emailAddress": "string",
"label": "string",
"isPreferred": boolean,
"okToEmail": boolean
}
],
"phoneNumbers": [
{
"phoneNumber": "string",
"label": "string",
"isPreferred": boolean,
"okToText": boolean,
"okToCall": boolean
}
],
"addresses": [
{
"line1": "string",
"line2": "string",
"city": "string",
"county": "string",
"state": "string",
"zip": "string",
"country": "string"
}
]
},
"salesTeam": {
"salesperson": [
"string"
],
"salesMgr": "string",
"closingMgr": "string",
"fiMgr": [
"string"
],
"billingClerk": "string",
"deliveryCoord": "string",
"assnSlsperson": "string",
"crmSPId": [
"string"
],
"crmSPName": [
"string"
],
"crmSalesMgrId": "string",
"crmSalesMgrName": "string",
"crmFIMgrId": "string",
"crmFIMgrName": "string",
"crmClosingMgrId": "string",
"crmClosingMgrName": "string",
"crmFlag": "string",
"crmSaleType": "string"
},
"commissions": {
"totalCommissionSP": [
"string"
],
"commissionSP": [
"string"
],
"bonusSP": [
"string"
],
"saleCreditSP": [
"string"
],
"crmCommisionSP": [
"string"
],
"crmCommisionFIMgr": "string",
"crmCommisionSalesMgr": "string",
"crmCommisionClosingMgr": "string",
"crmCommisionTotal": "string",
"crmSaleCreditSP": [
"string"
],
"crmSaleCreditFIMgr": "string",
"crmSaleCreditSalesMgr": "string",
"crmSaleCreditClosingMgr": "string",
"crmSalesCreditTotal": "string",
"crmSpiffSP": [
"string"
],
"crmSpiffFIMgr": "string",
"crmSpiffSalesMgr": "string",
"crmSpiffClosingMgr": "string",
"crmSpiffTotal": "string"
},
"tradeDealerDefined": [
"string"
],
"dealerDefined": [
"string"
],
"fiAux": [
"string"
],
"pickup": {
"pickupDate": [
"string"
],
"pickupPay": [
"string"
]
},
"miscellaneous": [
"string"
],
"mileageExpected": "string",
"mileagePenaltyAmount": "string",
"mileagePenaltyRate": "string"
}
}'

Response

Event with uuid: {{uuid}} ingested successfully

Request Body

This request uses a top-level event object. The actual F&I deal data must be sent inside the payload object.

You can find the detailed field references for the full request body in the F&I data model.